=== modified file 'hooks/master-relation-changed'
--- hooks/master-relation-changed	2014-04-10 16:06:25 +0000
+++ hooks/master-relation-changed	2014-08-13 22:58:04 +0000
@@ -10,6 +10,7 @@
 snapdir=/var/www/snaps
 mkdir -p $snapdir
 apt-get -y install apache2
+APACHE_VERSION=`dpkg-query -W -f='${Version}\n' apache2 | cut -c1-3`
 # disable wide-open access (restrict to each db IP)
 rhosts=""
 remote_ip=""
@@ -31,7 +32,11 @@
 rhosts=${rhosts##,}
 
 # if there are no hosts, we simply disable all access
-target=/etc/apache2/sites-available/mysql-dumps
+if [ "$APACHE_VERSION" = "2.2" ] ; then
+	target=/etc/apache2/sites-available/mysql-dumps
+else
+	target=/etc/apache2/sites-available/mysql-dumps.conf
+fi
 cat > $target <<EOF
 DocumentRoot /var/www
 <Directory /var/www>
@@ -48,7 +53,11 @@
 </Directory>
 EOF
 a2ensite mysql-dumps
-a2dissite default
+if [ "$APACHE_VERSION" = "2.2" ] ; then
+        a2dissite default
+else
+        a2dissite 000-default
+fi
 service apache2 reload
 
 pass=`pwgen -s 16`

=== modified file 'revision'
--- revision	2014-05-09 11:17:36 +0000
+++ revision	2014-08-13 22:58:04 +0000
@@ -1,1 +1,1 @@
-325
+326

